# Created by pyp2rpm-3.2.1
%global pypi_name pyp2rpm

Name:           %{pypi_name}
Version:        3.2.2
Release:        %mkrel 1
Summary:        Convert Python packages to RPM SPECFILES
Group:          Development/Python

License:        MIT
URL:            https://github.com/fedora-python/pyp2rpm
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-flexmock >= 0.9.3
# BuildRequires:  python3-pytest-runner
BuildRequires:  python3-click
BuildRequires:  python3-jinja2
BuildRequires:  python3-pytest

Requires:       python3-jinja2
Requires:       python3-setuptools
Requires:       python3-click

%description
Convert Python packages to RPM SPECFILES. The packages can be downloaded from
PyPI and the produced SPEC is in line with Fedora Packaging Guidelines or
Mageia Python Policy.Users can provide their own templates for rendering the
package metadata. Both the package source and metadata can be extracted from
PyPI or from local filesystem (local file doesn't provide that much information
though).


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
cp %{buildroot}/%{_bindir}/pyp2rpm %{buildroot}/%{_bindir}/pyp2rpm-%{python3_version}
ln -s %{_bindir}/pyp2rpm-%{python3_version} %{buildroot}/%{_bindir}/pyp2rpm-3


# TODO : Add later.
# %%check
# %%{__python3} setup.py test

%files
%license LICENSE tests/test_data/LICENSE
%doc README.md
%{_bindir}/pyp2rpm
%{_bindir}/pyp2rpm-3
%{_bindir}/pyp2rpm-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/command
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Thu Mar 23 2017 shlomif <shlomif> 3.2.2-1.mga6
+ Revision: 1094650
- Packaging fixes
- Importing pyp2rpm


* Thu Mar 23 2017 John Doe <john@doe.com> - 3.2.2-1
- Initial package.
